API referenceReplay
Activity per service in a ticket's replay
GET
/v1/tickets/{ticket_id}/replay/timelineRequires role member or higher.
Lines, warnings and errors per service, in at most 200 columns. from and to must be inside the ticket's window (422 replay-window).
AuthorizationBearer <token>
A session token from /v1/auth/sign-in/email (CLI, scripts).
In: header
Path Parameters
ticket_id*string
Query Parameters
from*string
Format
date-timeto*string
Format
date-timeenvironment?string
Length
1 <= length <= 256Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/tickets/string/replay/timeline?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z" \ -H "Authorization: Bearer $DLOGIFY_SESSION"{ "bucket_seconds": 15, "from": "2019-08-24T14:15:22Z", "gaps": [ { "from": "2019-08-24T14:15:22Z", "lines": 1, "to": "2019-08-24T14:15:22Z" } ], "history_off": [ { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z" } ], "other_services": 0, "pending_until": "2019-08-24T14:15:22Z", "services": [ { "errors": [ 0 ], "lines": [ 0 ], "service": "string", "warnings": [ 0 ] } ], "to": "2019-08-24T14:15:22Z"}